# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{net-ping}
  s.version = "1.6.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Daniel J. Berger"]
  s.date = %q{2013-08-08}
  s.description = %q{    The net-ping library provides a ping interface for Ruby. It includes
 \   separate TCP, HTTP, LDAP, ICMP, UDP, WMI (for Windows) and external ping
    classes.
}
  s.email = %q{djberg96@gmail.com}
  s.extra_rdoc_files = ["README", "CHANGES", "doc/ping.txt"]
  s.files = ["CHANGES", "doc/ping.txt", "examples/example_pingexternal.rb", "examples/example_pinghttp.rb", "examples/example_pingtcp.rb", "examples/example_pingudp.rb", "Gemfile", "lib/net/ping/external.rb", "lib/net/ping/helper.rb", "lib/net/ping/http.rb", "lib/net/ping/icmp.rb", "lib/net/ping/ping.rb", "lib/net/ping/tcp.rb", "lib/net/ping/udp.rb", "lib/net/ping/wmi.rb", "lib/net/ping.rb", "MANIFEST", "net-ping.gemspec", "Rakefile", "README", "test/test_net_ping.rb", "test/test_net_ping_external.rb", "test/test_net_ping_http.rb", "test/test_net_ping_icmp.rb", "test/test_net_ping_tcp.rb", "test/test_net_ping_udp.rb", "test/test_net_ping_wmi.rb"]
  s.homepage = %q{https://github.com/djberg96/net-ping}
  s.licenses = ["Artistic 2.0"]
  s.require_paths = ["lib"]
  s.rubyforge_project = %q{shards}
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{A ping interface for Ruby.}
  s.test_files = ["test/test_net_ping.rb"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<ffi>, [">= 1.0.0"])
      s.add_development_dependency(%q<test-unit>, [">= 2.5.0"])
      s.add_development_dependency(%q<fakeweb>, [">= 1.3.0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
    else
      s.add_dependency(%q<ffi>, [">= 1.0.0"])
      s.add_dependency(%q<test-unit>, [">= 2.5.0"])
      s.add_dependency(%q<fakeweb>, [">= 1.3.0"])
      s.add_dependency(%q<rake>, [">= 0"])
    end
  else
    s.add_dependency(%q<ffi>, [">= 1.0.0"])
    s.add_dependency(%q<test-unit>, [">= 2.5.0"])
    s.add_dependency(%q<fakeweb>, [">= 1.3.0"])
    s.add_dependency(%q<rake>, [">= 0"])
  end
end
